Package picard.illumina.parser

# Enum Class IntensityChannel

java.lang.Object
java.lang.Enum<IntensityChannel>
picard.illumina.parser.IntensityChannel

All Implemented Interfaces:
  `Serializable`, `Comparable<IntensityChannel>`, `Constable`

public enum IntensityChannel extends Enum<IntensityChannel>
The channels in a FourChannelIntensityData object, and the channels produced by a ClusterIntensityFileReader, for cases in which it is desirable to handle these abstractly rather than having the specific names in the source code.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`A`
`C`
`G`
`T`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NUM_CHANNELS`

## Method Summary

Modifier and Type
Method
Description
`static IntensityChannel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IntensityChannel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### A

public static final IntensityChannel A

### C

public static final IntensityChannel C

### G

public static final IntensityChannel G

### T

public static final IntensityChannel T

## Field Details

### NUM_CHANNELS

public static final int NUM_CHANNELS

## Method Details

### values

public static IntensityChannel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IntensityChannel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null